Original post

Mandatory: “I’m going crazy with this”

I’m on 1.13 and I’m trying to run a simple “hello world” for this UI package

https://github.com/gizak/termui

I run the main.go and it says:

build goChat: cannot load github.com/gizak/termui/v3: cannot find module providing package github.com/gizak/termui/v3

The package is there though. This is my config

# Go env variables
export GOPATH="$HOME//packages:$HOME//proj"
export GOROOT=/usr/local/opt/go/libexec
export GOPROXY=off

and the files are right there:

~/golang/packages/src/github.com/gizak/termui/v3$ ls -l
total 160
-rw-r--r--   1 draco  draco   100B 13 Jan 10:12 alignment.go
-rw-r--r--   1 draco  draco   770B 13 Jan 10:12 backend.go
-rw-r--r--   1 draco  draco   2.7K 13 Jan 10:12 block.go
-rw-r--r--   1 draco  draco   1.5K 13 Jan 10:12 buffer.go
-rw-r--r--   1 draco  draco   753B 13 Jan 10:12 canvas.go
-rw-r--r--   1 draco  draco   280B 13 Jan 10:12 doc.go
drwxr-xr-x   3 draco  draco    96B 13 Jan 10:12 drawille/
-rw-r--r--   1 draco  draco   4.7K 13 Jan 10:12 events.go
-rw-r--r--   1 draco  draco   216B 13 Jan 10:12 go.mod
-rw-r--r--   1 draco  draco   641B 13 Jan 10:12 go.sum
-rw-r--r--   1 draco  draco   3.2K 13 Jan 10:12 grid.go
-rw-r--r--   1 draco  draco   768B 13 Jan 10:12 render.go
-rw-r--r--   1 draco  draco   1.3K 13 Jan 10:12 style.go
-rw-r--r--   1 draco  draco   3.8K 13 Jan 10:12 style_parser.go
-rw-r--r--   1 draco  draco   1.1K 13 Jan 10:12 symbols.go
-rw-r--r--   1 draco  draco   549B 13 Jan 10:12 symbols_other.go
-rw-r--r--   1 draco  draco   522B 13 Jan 10:12 symbols_windows.go
-rw-r--r--   1 draco  draco   2.7K 13 Jan 10:12 theme.go
-rw-r--r--   1 draco  draco   4.5K 13 Jan 10:12 utils.go
drwxr-xr-x  14 draco  draco   448B 13 Jan 10:12 widgets/

what to do?

EDIT: This is my go.mod

~/golang/proj/goChat$ cat go.mod
module goChat

go 1.13

is it a go mod issue?